Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class AmountTypeSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.AmountTypeSEPA

    public class AmountTypeSEPA
    extends java.lang.Object

Java class for AmountTypeSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountTypeSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}ActiveOrHistoricCurrencyAndAmountSEPA"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmountSEPA` `instdAmt`

### Constructor Summary

Constructors
`AmountTypeSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmountSEPA` `getInstdAmt()` Gets the value of the instdAmt property.
`void` `setInstdAmt​(ActiveOrHistoricCurrencyAndAmountSEPA value)` Sets the value of the instdAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instdAmt

    protected ActiveOrHistoricCurrencyAndAmountSEPA instdAmt

### Constructor Detail

#### AmountTypeSEPA

    public AmountTypeSEPA()

### Method Detail

#### getInstdAmt

    public ActiveOrHistoricCurrencyAndAmountSEPA getInstdAmt()

Gets the value of the instdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmountSEPA`

#### setInstdAmt

    public void setInstdAmt​(ActiveOrHistoricCurrencyAndAmountSEPA value)

Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmountSEPA`